package org.jeecg.ctop.material.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 盯盘-运营数据 项目维度
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouOperateProjectVo {


    @Excel(name = "账户数量")
    @ApiModelProperty(value = "账户数量")
    private Integer accountNum;

    @Excel(name = "总花费")
    @ApiModelProperty(value = "总花费")
    private Double totalCost;

    private String projectId;
    @Excel(name = "项目名称")
    private String projectName;

    @Excel(name = "运营人员")
    @ApiModelProperty(value = "用户数量")
    private Integer userNum;
    private String userId;

    @ApiModelProperty(value = "激活数")
    private Integer activation;

    @ApiModelProperty(value = "激活单价")
    private String activationPrice;

    @ApiModelProperty(value = "次留")
    private String leave;

    @ApiModelProperty(value = "付费次数")
    private Integer eventPay;

    @ApiModelProperty(value = "付费成本")
    private String eventPayCost;

    @ApiModelProperty(value = "付费率")
    private String eventPayRate;

    @ApiModelProperty(value = "新增付费人数")
    private Integer eventNewUserPay;

    @ApiModelProperty(value = "新增付费成本")
    private String eventNewUserPayCost;

    @ApiModelProperty(value = "新增付费率")
    private String eventNewUserPayRate;

    @ApiModelProperty(value = "唤起应用数")
    private Integer eventAppInvoked;

    @ApiModelProperty(value = "唤起应用成本")
    private String eventAppInvokedCost;

    @ApiModelProperty(value = "注册数")
    private Integer eventRegister;

    @ApiModelProperty(value = "注册成本")
    private String eventRegisterCost;

    @ApiModelProperty(value = "关键行为数")
    private Integer keyAction;

    @ApiModelProperty(value = "关键行为成本")
    private String keyActionCost;

    @ApiModelProperty(value = "关键行为率")
    private String keyActionRate;

    @ApiModelProperty(value = "首日付费金额")
    private String eventPayPurchaseAmountFirstDay;

    @ApiModelProperty(value = "首日ROI")
    private String eventPayFirstDayRoi;

    @ApiModelProperty(value = "表单提交数")
    private Integer formCount;

    @ApiModelProperty(value = "表单提交单价")
    private String formCountPrice;

    @ApiModelProperty(value = "有效视频数量")
    private Integer newEffectNum;

    @ApiModelProperty(value = "上新视频数量")
    private Integer newVideoNum;

    @ApiModelProperty(value = "爆款视频数量")
    private Integer newHotNum;


    @Excel(name = "花费环比")
    @ApiModelProperty(value = "环比")
    private String yearOnYear;

    @Excel(name = "花费同比")
    @ApiModelProperty(value = "同比")
    private String equallyRate;


    @Excel(name = "托管基建数")
    @ApiModelProperty(value = "智能托管")
    private Integer trustUnitNum;


    @Excel(name = "基建数")
    @ApiModelProperty(value = "基建数")
    private Integer newUnitNum;

    @Excel(name = "新上项目数",width = 15)
    private Integer newProjectNum;

    @Excel(name = "上传助手素材数")
    @ApiModelProperty(value = "上传助手素材数")
    private long adspNum;

    @ApiModelProperty(value = "上传媒体素材数")
    private long mediaNum;

    @ApiModelProperty(value = "版位数据")
    private List<JSONObject> adSceneDate;
    private String adSceneDateStr;
    private String jiLishiPin;
    private String kaiPing;
    private String souSuo;
    private String shangXiaHua;
    private String lianMeng;
    private String xinxiLiu;
    private String inventory;


    public Integer getAccountNum() {
        return accountNum;
    }

    public void setAccountNum(Integer accountNum) {
        this.accountNum = accountNum;
    }

    public Double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(Double totalCost) {
        this.totalCost = totalCost;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Integer getUserNum() {
        return userNum;
    }

    public void setUserNum(Integer userNum) {
        this.userNum = userNum;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getActivation() {
        return activation;
    }

    public void setActivation(Integer activation) {
        this.activation = activation;
    }

    public String getActivationPrice() {
        return activationPrice;
    }

    public void setActivationPrice(String activationPrice) {
        this.activationPrice = activationPrice;
    }

    public String getLeave() {
        return leave;
    }

    public void setLeave(String leave) {
        this.leave = leave;
    }

    public Integer getEventPay() {
        return eventPay;
    }

    public void setEventPay(Integer eventPay) {
        this.eventPay = eventPay;
    }

    public String getEventPayCost() {
        return eventPayCost;
    }

    public void setEventPayCost(String eventPayCost) {
        this.eventPayCost = eventPayCost;
    }

    public String getEventPayRate() {
        return eventPayRate;
    }

    public void setEventPayRate(String eventPayRate) {
        this.eventPayRate = eventPayRate;
    }

    public Integer getEventNewUserPay() {
        return eventNewUserPay;
    }

    public void setEventNewUserPay(Integer eventNewUserPay) {
        this.eventNewUserPay = eventNewUserPay;
    }

    public String getEventNewUserPayCost() {
        return eventNewUserPayCost;
    }

    public void setEventNewUserPayCost(String eventNewUserPayCost) {
        this.eventNewUserPayCost = eventNewUserPayCost;
    }

    public String getEventNewUserPayRate() {
        return eventNewUserPayRate;
    }

    public void setEventNewUserPayRate(String eventNewUserPayRate) {
        this.eventNewUserPayRate = eventNewUserPayRate;
    }

    public Integer getEventAppInvoked() {
        return eventAppInvoked;
    }

    public void setEventAppInvoked(Integer eventAppInvoked) {
        this.eventAppInvoked = eventAppInvoked;
    }

    public String getEventAppInvokedCost() {
        return eventAppInvokedCost;
    }

    public void setEventAppInvokedCost(String eventAppInvokedCost) {
        this.eventAppInvokedCost = eventAppInvokedCost;
    }

    public Integer getEventRegister() {
        return eventRegister;
    }

    public void setEventRegister(Integer eventRegister) {
        this.eventRegister = eventRegister;
    }

    public String getEventRegisterCost() {
        return eventRegisterCost;
    }

    public void setEventRegisterCost(String eventRegisterCost) {
        this.eventRegisterCost = eventRegisterCost;
    }

    public Integer getKeyAction() {
        return keyAction;
    }

    public void setKeyAction(Integer keyAction) {
        this.keyAction = keyAction;
    }

    public String getKeyActionCost() {
        return keyActionCost;
    }

    public void setKeyActionCost(String keyActionCost) {
        this.keyActionCost = keyActionCost;
    }

    public String getKeyActionRate() {
        return keyActionRate;
    }

    public void setKeyActionRate(String keyActionRate) {
        this.keyActionRate = keyActionRate;
    }

    public String getEventPayPurchaseAmountFirstDay() {
        return eventPayPurchaseAmountFirstDay;
    }

    public void setEventPayPurchaseAmountFirstDay(String eventPayPurchaseAmountFirstDay) {
        this.eventPayPurchaseAmountFirstDay = eventPayPurchaseAmountFirstDay;
    }

    public String getEventPayFirstDayRoi() {
        return eventPayFirstDayRoi;
    }

    public void setEventPayFirstDayRoi(String eventPayFirstDayRoi) {
        this.eventPayFirstDayRoi = eventPayFirstDayRoi;
    }

    public Integer getFormCount() {
        return formCount;
    }

    public void setFormCount(Integer formCount) {
        this.formCount = formCount;
    }

    public String getFormCountPrice() {
        return formCountPrice;
    }

    public void setFormCountPrice(String formCountPrice) {
        this.formCountPrice = formCountPrice;
    }

    public Integer getNewEffectNum() {
        return newEffectNum;
    }

    public void setNewEffectNum(Integer newEffectNum) {
        this.newEffectNum = newEffectNum;
    }

    public Integer getNewVideoNum() {
        return newVideoNum;
    }

    public void setNewVideoNum(Integer newVideoNum) {
        this.newVideoNum = newVideoNum;
    }

    public Integer getNewHotNum() {
        return newHotNum;
    }

    public void setNewHotNum(Integer newHotNum) {
        this.newHotNum = newHotNum;
    }

    public String getYearOnYear() {
        return yearOnYear;
    }

    public void setYearOnYear(String yearOnYear) {
        this.yearOnYear = yearOnYear;
    }

    public String getEquallyRate() {
        return equallyRate;
    }

    public void setEquallyRate(String equallyRate) {
        this.equallyRate = equallyRate;
    }

    public Integer getTrustUnitNum() {
        return trustUnitNum;
    }

    public void setTrustUnitNum(Integer trustUnitNum) {
        this.trustUnitNum = trustUnitNum;
    }

    public Integer getNewUnitNum() {
        return newUnitNum;
    }

    public void setNewUnitNum(Integer newUnitNum) {
        this.newUnitNum = newUnitNum;
    }

    public Integer getNewProjectNum() {
        return newProjectNum;
    }

    public void setNewProjectNum(Integer newProjectNum) {
        this.newProjectNum = newProjectNum;
    }

    public long getAdspNum() {
        return adspNum;
    }

    public void setAdspNum(long adspNum) {
        this.adspNum = adspNum;
    }

    public long getMediaNum() {
        return mediaNum;
    }

    public void setMediaNum(long mediaNum) {
        this.mediaNum = mediaNum;
    }

    public List<JSONObject> getAdSceneDate() {
        return adSceneDate;
    }

    public void setAdSceneDate(List<JSONObject> adSceneDate) {
        this.adSceneDate = adSceneDate;
    }

    public String getAdSceneDateStr() {
        return adSceneDateStr;
    }

    public void setAdSceneDateStr(String adSceneDateStr) {
        this.adSceneDateStr = adSceneDateStr;
    }

    public String getJiLishiPin() {
        return jiLishiPin;
    }

    public void setJiLishiPin(String jiLishiPin) {
        this.jiLishiPin = jiLishiPin;
    }

    public String getKaiPing() {
        return kaiPing;
    }

    public void setKaiPing(String kaiPing) {
        this.kaiPing = kaiPing;
    }

    public String getSouSuo() {
        return souSuo;
    }

    public void setSouSuo(String souSuo) {
        this.souSuo = souSuo;
    }

    public String getShangXiaHua() {
        return shangXiaHua;
    }

    public void setShangXiaHua(String shangXiaHua) {
        this.shangXiaHua = shangXiaHua;
    }

    public String getLianMeng() {
        return lianMeng;
    }

    public void setLianMeng(String lianMeng) {
        this.lianMeng = lianMeng;
    }

    public String getXinxiLiu() {
        return xinxiLiu;
    }

    public void setXinxiLiu(String xinxiLiu) {
        this.xinxiLiu = xinxiLiu;
    }

    public String getInventory() {
        return inventory;
    }

    public void setInventory(String inventory) {
        this.inventory = inventory;
    }
}
